//
// HEADER - BLOCK -- search
//

#header {

    .block-search {

        & > h2 {
            display: none;
        }
    
        @media (max-width: $screen-sm-max) {

            & {
                position: relative;
                margin: 0;
                vertical-align: middle;
                padding: 0px 0px 20px 0px;

                div,
                input,
                span {
                    display: inline-block;
                    margin: 0;
                    padding: 0;
                }
            
                div.form-item {
                    width: calc(100% - 60px);

                    .form-search {
                        height: 40px;
                        width: 100%;
                        padding: 0 8px;
                        box-sizing: border-box;
                    }
                    .form-search:focus {

                        &:focus {
                            border-color: $primary-light-color;
                        }

                    }

                }

                .form-submit {
                    height: 40px;
                    width: 50px;
                    overflow: hidden;
                    border: 0;
                    background: url('../images/search-white.svg') no-repeat 50% 50%;
                    background-size: 30px 30px;
                    text-indent: 100px;
                    box-shadow: none !important;
                }
        
                .close-search {
                    display: none;
                }
    
            }
    
        }
    
        @media (min-width: $screen-md-min) {
    
            & {
                position: absolute;
                right: 0;
                bottom: 15px;
                margin: 0;
                display: block !important;
                vertical-align: middle;

                form,
                div,
                input,
                span {
                    display: inline-block;
                    margin: 0;
                    padding: 0;
                }
            
                .form-search {
                    height: 40px;
                    margin-top: 35px;
                    width: 0px;
                    visibility: hidden;
                }
        
                .form-submit {
                    height: 40px;
                    width: 50px;
                    overflow: hidden;
                    border: 0;
                    background: url('../images/search-black.svg') no-repeat 50% 50%;
                    background-size: 30px 30px;
                    text-indent: 100px;
                    box-shadow: none !important;
                }
        
                .close-search {
                    display: none;
                }
    
            }
    
        }

    }

    /* header open */
    &.search-open {

        .block-search {

            @media (min-width: $screen-md-min) {
    
                .form-search {
                    display: inline-block;
                    width: 350px;
                    transition: all 0.5s;
                    padding: 0 8px;
                    visibility: visible;
                }
        
                .close-search {
                    cursor: pointer;
                    position: absolute;
                    left: -52px;
                    top: 30px;
                    height: 50px;
                    width: 50px;
                    display: inline-block;
                    overflow: hidden;
                    background: url('../images/search-close.svg') no-repeat 50% 50%;
                    background-size: 20px 20px;
                    text-indent: 100px;
                }
        
            }
        
            @media (min-width: $screen-lg-min) {
        
                .form-search {
                    width: 450px;
                }
        
            }
    
        }

    }
    
}
